Page MenuHomePhabricator

Complete the transition to the new roadmap & reporting process
Closed, ResolvedPublic

Description

Until recently, most of our project documentation and planning was being done on mediawiki.org. We had roadmaps, project pages, status pages etc. there. The system was a bit clunky but it mostly worked.

Our move from Bugzilla to Phabricator brought a lot of opportunities to simplify technical project management, and we're now in a place where we can retire the old system.

In practice, this means heavily relying on the Roadmap, and using Notice to tag other tasks and changes likely to impact users. People can follow progress on the task, which means we don't need the monthly reports any more.

To complete the transition, we need to do the following:

Event Timeline

gpaumier created this task.Mar 27 2015, 3:12 PM
gpaumier claimed this task.
gpaumier raised the priority of this task from to Normal.
gpaumier updated the task description. (Show Details)
gpaumier added a subscriber: gpaumier.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 27 2015, 3:12 PM
gpaumier updated the task description. (Show Details)Mar 27 2015, 3:17 PM
gpaumier set Security to None.
gpaumier updated the task description. (Show Details)Mar 27 2015, 4:48 PM
He7d3r added a subscriber: He7d3r.Mar 30 2015, 5:23 PM
gpaumier updated the task description. (Show Details)Mar 30 2015, 6:22 PM
gpaumier updated the task description. (Show Details)Mar 30 2015, 8:43 PM
gpaumier closed this task as Resolved.Mar 30 2015, 9:12 PM
gpaumier updated the task description. (Show Details)

Final announcement: https://lists.wikimedia.org/pipermail/wikitech-l/2015-March/081397.html (Also sent to the wikimediaannounce-l and wikitech-ambassadors lists).

greg awarded a token.Mar 31 2015, 9:16 PM

For cross-reference: I wrote up a brief summary of how this worked out at T24#1566280.